## python-dunamai 1.18.0

=== debian/changelog ===
python-dunamai (1.18.0-2) unstable; urgency=medium

  * Source-only upload to allow migration.

 -- Jakub Ružička <jru@debian.org>  Tue, 29 Aug 2023 15:42:35 +0200

python-dunamai (1.18.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1033361: ITP: dunamai -- dynamic versioning
    library and CLI)

 -- Jakub Ružička <jru@debian.org>  Wed, 09 Aug 2023 14:45:50 +0200

## python-dunamai 1.23.0

=== docs/requirements.txt ===
mkdocstrings[python]
mkdocs-material

## python-dunamai 1.19.0

=== debian/changelog ===
python-dunamai (1.19.0-1) unstable; urgency=medium

  * New upstream version 1.19.0

 -- Jakub Ružička <jru@debian.org>  Wed, 11 Oct 2023 12:43:59 +0200

=== debian/control ===
Source: python-dunamai
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jakub Ružička <jru@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 git,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-pytest,
 ronn,
Standards-Version: 4.6.2
Homepage: https://github.com/mtkennerly/dunamai
Vcs-Git: https://salsa.debian.org/python-team/packages/python-dunamai.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dunamai
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-dunamai
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: dynamic versioning library and CLI
 Dunamai is a Python library and command line tool for producing dynamic,
 standards-compliant version strings, derived from tags in your version control
 system. This facilitates uniquely identifying nightly or per-commit builds in
 continuous integration and releasing new versions of your software simply by
 creating a tag.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=dunamai
export PYBUILD_TEST_ARGS=tests/unit

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installman:
	ronn --roff debian/*.ronn

## python-dunamai 1.21.0

=== debian/changelog ===
python-dunamai (1.21.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 03 May 2024 13:28:30 -0400

python-dunamai (1.19.2-1) unstable; urgency=medium

  * New upstream version 1.19.2
  * Bump Standards-Version to latest 4.7.0

 -- Jakub Ružička <jru@debian.org>  Thu, 11 Apr 2024 15:57:27 +0200

## python-dunamai 1.23.0

=== debian/changelog ===
python-dunamai (1.23.0-1) unstable; urgency=medium

  * New upstream version 1.23.0

 -- Jakub Ružička <jru@debian.org>  Thu, 12 Dec 2024 14:30:24 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-poetry-core,
  python3-pytest,
  ronn,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/mtkennerly/dunamai
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-dunamai.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dunamai

=== debian/tests/control ===
Tests: dunamai
Depends: @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-dunamai-$1\.tar\.gz/ \
  https://github.com/mtkennerly/dunamai/tags .*/v?(\d\S+)\.tar\.gz

## python-dunamai 1.25.0

=== debian/changelog ===
python-dunamai (1.25.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * d/rules, d/manpages: use the upstream man page.
  * d/control: Standards-Version bump to 4.7.2. No changes.
  * d/control: remove redundant rules-requires-root statement.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 06 Dec 2025 14:04:11 -0500

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,10 @@
  python3-all,
  python3-poetry-core,
  python3-pytest,
- ronn,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/mtkennerly/dunamai
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-dunamai.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dunamai
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-dunamai

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=dunamai
export PYBUILD_TEST_ARGS=tests/unit

%:
	dh $@ --buildsystem=pybuild
